summaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorShenghou Ma <minux.ma@gmail.com>2013-03-25 03:18:05 +0800
committerShenghou Ma <minux.ma@gmail.com>2013-03-25 03:18:05 +0800
commit4e70e7fd499adfed7774d4b114fa58b1e905f3e5 (patch)
tree5a7d5af7ef3f8cfe6404baf96c597fe0b9120084 /src/run.bash
parentc623df802e1e7d73752065abcece11ffe9d779ed (diff)
downloadgo-4e70e7fd499adfed7774d4b114fa58b1e905f3e5.tar.gz
build, cmd/5l: actually report failures for -linkmode tests
R=golang-dev, rsc CC=golang-dev https://codereview.appspot.com/7938046
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash1
1 files changed, 1 insertions, 0 deletions
diff --git a/src/run.bash b/src/run.bash
index 5f0af5f3f..b7c89d96a 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -79,6 +79,7 @@ go run $GOROOT/test/run.go - .
[ "$CGO_ENABLED" != 1 ] ||
(xcd ../misc/cgo/test
+set -e
go test -ldflags '-linkmode=auto'
go test -ldflags '-linkmode=internal'
case "$GOHOSTOS-$GOARCH" in